Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/HiveJobView.designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/HiveJobView.designer.cs	(revision 6032)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/HiveJobView.designer.cs	(revision 6033)
@@ -24,20 +24,8 @@
     /// </summary>
     private void InitializeComponent() {
-      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(HiveJobView));
-      this.logTabPage = new System.Windows.Forms.TabPage();
-      this.logView = new HeuristicLab.Core.Views.LogView();
       this.stateLogTabPage = new System.Windows.Forms.TabPage();
       this.stateLogViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.runsTabPage = new System.Windows.Forms.TabPage();
-      this.runCollectionViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.detailsTabPage = new System.Windows.Forms.TabPage();
-      this.restartButton = new System.Windows.Forms.Button();
-      this.pauseButton = new System.Windows.Forms.Button();
-      this.stopButton = new System.Windows.Forms.Button();
-      this.optimizerGroupBox = new System.Windows.Forms.GroupBox();
-      this.showOptimizerButton = new System.Windows.Forms.Button();
-      this.lastUpdatedTextBox = new System.Windows.Forms.TextBox();
-      this.lastUpdatedLabel = new System.Windows.Forms.Label();
-      this.optimizerNamedItemView = new HeuristicLab.Core.Views.NamedItemView();
+      this.splitContainer1 = new System.Windows.Forms.SplitContainer();
       this.configurationGroupBox = new System.Windows.Forms.GroupBox();
       this.priorityTextBox = new System.Windows.Forms.TextBox();
@@ -49,6 +37,4 @@
       this.computeInParallelLabel = new System.Windows.Forms.Label();
       this.computeInParallelCheckBox = new System.Windows.Forms.CheckBox();
-      this.jobIdLabel = new System.Windows.Forms.Label();
-      this.jobIdTextBox = new System.Windows.Forms.TextBox();
       this.jobStatusGroupBox = new System.Windows.Forms.GroupBox();
       this.stateTextBox = new System.Windows.Forms.TextBox();
@@ -64,43 +50,23 @@
       this.dateFinishedLabel = new System.Windows.Forms.Label();
       this.exceptionTextBox = new System.Windows.Forms.TextBox();
+      this.optimizerGroupBox = new System.Windows.Forms.GroupBox();
+      this.modifyItemButton = new System.Windows.Forms.Button();
+      this.lastUpdatedTextBox = new System.Windows.Forms.TextBox();
+      this.lastUpdatedLabel = new System.Windows.Forms.Label();
+      this.optimizerItemView = new HeuristicLab.Core.Views.ItemView();
+      this.jobIdLabel = new System.Windows.Forms.Label();
+      this.jobIdTextBox = new System.Windows.Forms.TextBox();
       this.tabControl = new System.Windows.Forms.TabControl();
-      this.splitContainer1 = new System.Windows.Forms.SplitContainer();
-      this.logTabPage.SuspendLayout();
       this.stateLogTabPage.SuspendLayout();
-      this.runsTabPage.SuspendLayout();
       this.detailsTabPage.SuspendLayout();
-      this.optimizerGroupBox.SuspendLayout();
-      this.configurationGroupBox.SuspendLayout();
-      this.jobStatusGroupBox.SuspendLayout();
-      this.tabControl.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).BeginInit();
       this.splitContainer1.Panel1.SuspendLayout();
       this.splitContainer1.Panel2.SuspendLayout();
       this.splitContainer1.SuspendLayout();
+      this.configurationGroupBox.SuspendLayout();
+      this.jobStatusGroupBox.SuspendLayout();
+      this.optimizerGroupBox.SuspendLayout();
+      this.tabControl.SuspendLayout();
       this.SuspendLayout();
-      // 
-      // logTabPage
-      // 
-      this.logTabPage.Controls.Add(this.logView);
-      this.logTabPage.Location = new System.Drawing.Point(4, 22);
-      this.logTabPage.Name = "logTabPage";
-      this.logTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.logTabPage.Size = new System.Drawing.Size(611, 492);
-      this.logTabPage.TabIndex = 1;
-      this.logTabPage.Text = "Log";
-      this.logTabPage.UseVisualStyleBackColor = true;
-      // 
-      // logView
-      // 
-      this.logView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.logView.Caption = "Log View";
-      this.logView.Content = null;
-      this.logView.Location = new System.Drawing.Point(3, 3);
-      this.logView.Name = "logView";
-      this.logView.ReadOnly = false;
-      this.logView.Size = new System.Drawing.Size(613, 486);
-      this.logView.TabIndex = 0;
       // 
       // stateLogTabPage
@@ -109,5 +75,5 @@
       this.stateLogTabPage.Location = new System.Drawing.Point(4, 22);
       this.stateLogTabPage.Name = "stateLogTabPage";
-      this.stateLogTabPage.Size = new System.Drawing.Size(611, 492);
+      this.stateLogTabPage.Size = new System.Drawing.Size(563, 375);
       this.stateLogTabPage.TabIndex = 5;
       this.stateLogTabPage.Text = "State";
@@ -123,41 +89,12 @@
       this.stateLogViewHost.Name = "stateLogViewHost";
       this.stateLogViewHost.ReadOnly = false;
-      this.stateLogViewHost.Size = new System.Drawing.Size(611, 492);
+      this.stateLogViewHost.Size = new System.Drawing.Size(563, 375);
       this.stateLogViewHost.TabIndex = 0;
       this.stateLogViewHost.ViewsLabelVisible = true;
       this.stateLogViewHost.ViewType = null;
       // 
-      // runsTabPage
-      // 
-      this.runsTabPage.Controls.Add(this.runCollectionViewHost);
-      this.runsTabPage.Location = new System.Drawing.Point(4, 22);
-      this.runsTabPage.Name = "runsTabPage";
-      this.runsTabPage.Size = new System.Drawing.Size(611, 492);
-      this.runsTabPage.TabIndex = 4;
-      this.runsTabPage.Text = "Runs";
-      this.runsTabPage.UseVisualStyleBackColor = true;
-      // 
-      // runCollectionViewHost
-      // 
-      this.runCollectionViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.runCollectionViewHost.Caption = "View";
-      this.runCollectionViewHost.Content = null;
-      this.runCollectionViewHost.Enabled = false;
-      this.runCollectionViewHost.Location = new System.Drawing.Point(3, 3);
-      this.runCollectionViewHost.Name = "runCollectionViewHost";
-      this.runCollectionViewHost.ReadOnly = false;
-      this.runCollectionViewHost.Size = new System.Drawing.Size(613, 486);
-      this.runCollectionViewHost.TabIndex = 0;
-      this.runCollectionViewHost.ViewsLabelVisible = true;
-      this.runCollectionViewHost.ViewType = null;
-      // 
       // detailsTabPage
       // 
       this.detailsTabPage.Controls.Add(this.splitContainer1);
-      this.detailsTabPage.Controls.Add(this.restartButton);
-      this.detailsTabPage.Controls.Add(this.pauseButton);
-      this.detailsTabPage.Controls.Add(this.stopButton);
       this.detailsTabPage.Controls.Add(this.optimizerGroupBox);
       this.detailsTabPage.Controls.Add(this.jobIdLabel);
@@ -171,94 +108,21 @@
       this.detailsTabPage.UseVisualStyleBackColor = true;
       // 
-      // restartButton
-      // 
-      this.restartButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.restartButton.Image = ((System.Drawing.Image)(resources.GetObject("restartButton.Image")));
-      this.restartButton.Location = new System.Drawing.Point(3, 348);
-      this.restartButton.Name = "restartButton";
-      this.restartButton.Size = new System.Drawing.Size(24, 24);
-      this.restartButton.TabIndex = 30;
-      this.restartButton.UseVisualStyleBackColor = true;
-      this.restartButton.Click += new System.EventHandler(this.restartButton_Click);
-      // 
-      // pauseButton
-      // 
-      this.pauseButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.pauseButton.Enabled = false;
-      this.pauseButton.Image = ((System.Drawing.Image)(resources.GetObject("pauseButton.Image")));
-      this.pauseButton.Location = new System.Drawing.Point(33, 348);
-      this.pauseButton.Name = "pauseButton";
-      this.pauseButton.Size = new System.Drawing.Size(24, 24);
-      this.pauseButton.TabIndex = 31;
-      this.pauseButton.UseVisualStyleBackColor = true;
-      this.pauseButton.Click += new System.EventHandler(this.pauseButton_Click);
-      // 
-      // stopButton
-      // 
-      this.stopButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.stopButton.Image = ((System.Drawing.Image)(resources.GetObject("stopButton.Image")));
-      this.stopButton.Location = new System.Drawing.Point(63, 348);
-      this.stopButton.Name = "stopButton";
-      this.stopButton.Size = new System.Drawing.Size(24, 24);
-      this.stopButton.TabIndex = 32;
-      this.stopButton.UseVisualStyleBackColor = true;
-      this.stopButton.Click += new System.EventHandler(this.stopButton_Click);
-      // 
-      // optimizerGroupBox
-      // 
-      this.optimizerGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.optimizerGroupBox.Controls.Add(this.showOptimizerButton);
-      this.optimizerGroupBox.Controls.Add(this.lastUpdatedTextBox);
-      this.optimizerGroupBox.Controls.Add(this.lastUpdatedLabel);
-      this.optimizerGroupBox.Controls.Add(this.optimizerNamedItemView);
-      this.optimizerGroupBox.Location = new System.Drawing.Point(6, 29);
-      this.optimizerGroupBox.Name = "optimizerGroupBox";
-      this.optimizerGroupBox.Size = new System.Drawing.Size(551, 129);
-      this.optimizerGroupBox.TabIndex = 28;
-      this.optimizerGroupBox.TabStop = false;
-      this.optimizerGroupBox.Text = "Optimizer";
-      // 
-      // showOptimizerButton
-      // 
-      this.showOptimizerButton.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.showOptimizerButton.Location = new System.Drawing.Point(78, 99);
-      this.showOptimizerButton.Name = "showOptimizerButton";
-      this.showOptimizerButton.Size = new System.Drawing.Size(467, 23);
-      this.showOptimizerButton.TabIndex = 3;
-      this.showOptimizerButton.Text = "Show Optimizer";
-      this.showOptimizerButton.UseVisualStyleBackColor = true;
-      this.showOptimizerButton.Click += new System.EventHandler(this.showOptimizerButton_Click);
-      // 
-      // lastUpdatedTextBox
-      // 
-      this.lastUpdatedTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.lastUpdatedTextBox.Location = new System.Drawing.Point(78, 73);
-      this.lastUpdatedTextBox.Name = "lastUpdatedTextBox";
-      this.lastUpdatedTextBox.Size = new System.Drawing.Size(467, 20);
-      this.lastUpdatedTextBox.TabIndex = 2;
-      // 
-      // lastUpdatedLabel
-      // 
-      this.lastUpdatedLabel.AutoSize = true;
-      this.lastUpdatedLabel.Location = new System.Drawing.Point(9, 76);
-      this.lastUpdatedLabel.Name = "lastUpdatedLabel";
-      this.lastUpdatedLabel.Size = new System.Drawing.Size(71, 13);
-      this.lastUpdatedLabel.TabIndex = 1;
-      this.lastUpdatedLabel.Text = "LastUpdated:";
-      // 
-      // optimizerNamedItemView
-      // 
-      this.optimizerNamedItemView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.optimizerNamedItemView.Caption = "NamedItem View";
-      this.optimizerNamedItemView.Content = null;
-      this.optimizerNamedItemView.Location = new System.Drawing.Point(6, 20);
-      this.optimizerNamedItemView.Name = "optimizerNamedItemView";
-      this.optimizerNamedItemView.ReadOnly = false;
-      this.optimizerNamedItemView.Size = new System.Drawing.Size(539, 51);
-      this.optimizerNamedItemView.TabIndex = 0;
+      // splitContainer1
+      // 
+      this.splitContainer1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.splitContainer1.Location = new System.Drawing.Point(6, 110);
+      this.splitContainer1.Name = "splitContainer1";
+      // 
+      // splitContainer1.Panel1
+      // 
+      this.splitContainer1.Panel1.Controls.Add(this.configurationGroupBox);
+      // 
+      // splitContainer1.Panel2
+      // 
+      this.splitContainer1.Panel2.Controls.Add(this.jobStatusGroupBox);
+      this.splitContainer1.Size = new System.Drawing.Size(551, 155);
+      this.splitContainer1.SplitterDistance = 275;
+      this.splitContainer1.TabIndex = 33;
       // 
       // configurationGroupBox
@@ -352,22 +216,4 @@
       this.computeInParallelCheckBox.UseVisualStyleBackColor = true;
       this.computeInParallelCheckBox.CheckedChanged += new System.EventHandler(this.computeInParallelCheckBox_CheckedChanged);
-      // 
-      // jobIdLabel
-      // 
-      this.jobIdLabel.AutoSize = true;
-      this.jobIdLabel.Location = new System.Drawing.Point(3, 6);
-      this.jobIdLabel.Name = "jobIdLabel";
-      this.jobIdLabel.Size = new System.Drawing.Size(36, 13);
-      this.jobIdLabel.TabIndex = 25;
-      this.jobIdLabel.Text = "JobId:";
-      // 
-      // jobIdTextBox
-      // 
-      this.jobIdTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.jobIdTextBox.Location = new System.Drawing.Point(91, 6);
-      this.jobIdTextBox.Name = "jobIdTextBox";
-      this.jobIdTextBox.Size = new System.Drawing.Size(466, 20);
-      this.jobIdTextBox.TabIndex = 26;
       // 
       // jobStatusGroupBox
@@ -502,4 +348,79 @@
       this.exceptionTextBox.DoubleClick += new System.EventHandler(this.exceptionTextBox_DoubleClick);
       // 
+      // optimizerGroupBox
+      // 
+      this.optimizerGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.optimizerGroupBox.Controls.Add(this.modifyItemButton);
+      this.optimizerGroupBox.Controls.Add(this.lastUpdatedTextBox);
+      this.optimizerGroupBox.Controls.Add(this.lastUpdatedLabel);
+      this.optimizerGroupBox.Controls.Add(this.optimizerItemView);
+      this.optimizerGroupBox.Location = new System.Drawing.Point(6, 29);
+      this.optimizerGroupBox.Name = "optimizerGroupBox";
+      this.optimizerGroupBox.Size = new System.Drawing.Size(551, 75);
+      this.optimizerGroupBox.TabIndex = 28;
+      this.optimizerGroupBox.TabStop = false;
+      this.optimizerGroupBox.Text = "JobItem";
+      // 
+      // modifyItemButton
+      // 
+      this.modifyItemButton.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.modifyItemButton.Location = new System.Drawing.Point(78, 45);
+      this.modifyItemButton.Name = "modifyItemButton";
+      this.modifyItemButton.Size = new System.Drawing.Size(467, 23);
+      this.modifyItemButton.TabIndex = 3;
+      this.modifyItemButton.Text = "Modify Item";
+      this.modifyItemButton.UseVisualStyleBackColor = true;
+      this.modifyItemButton.Click += new System.EventHandler(this.modifyItemButton_Click);
+      // 
+      // lastUpdatedTextBox
+      // 
+      this.lastUpdatedTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.lastUpdatedTextBox.Location = new System.Drawing.Point(78, 19);
+      this.lastUpdatedTextBox.Name = "lastUpdatedTextBox";
+      this.lastUpdatedTextBox.Size = new System.Drawing.Size(467, 20);
+      this.lastUpdatedTextBox.TabIndex = 2;
+      // 
+      // lastUpdatedLabel
+      // 
+      this.lastUpdatedLabel.AutoSize = true;
+      this.lastUpdatedLabel.Location = new System.Drawing.Point(3, 22);
+      this.lastUpdatedLabel.Name = "lastUpdatedLabel";
+      this.lastUpdatedLabel.Size = new System.Drawing.Size(71, 13);
+      this.lastUpdatedLabel.TabIndex = 1;
+      this.lastUpdatedLabel.Text = "LastUpdated:";
+      // 
+      // optimizerItemView
+      // 
+      this.optimizerItemView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.optimizerItemView.Caption = "NamedItem View";
+      this.optimizerItemView.Content = null;
+      this.optimizerItemView.Location = new System.Drawing.Point(6, 20);
+      this.optimizerItemView.Name = "optimizerItemView";
+      this.optimizerItemView.ReadOnly = false;
+      this.optimizerItemView.Size = new System.Drawing.Size(539, 51);
+      this.optimizerItemView.TabIndex = 0;
+      // 
+      // jobIdLabel
+      // 
+      this.jobIdLabel.AutoSize = true;
+      this.jobIdLabel.Location = new System.Drawing.Point(3, 6);
+      this.jobIdLabel.Name = "jobIdLabel";
+      this.jobIdLabel.Size = new System.Drawing.Size(36, 13);
+      this.jobIdLabel.TabIndex = 25;
+      this.jobIdLabel.Text = "JobId:";
+      // 
+      // jobIdTextBox
+      // 
+      this.jobIdTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.jobIdTextBox.Location = new System.Drawing.Point(91, 6);
+      this.jobIdTextBox.Name = "jobIdTextBox";
+      this.jobIdTextBox.Size = new System.Drawing.Size(466, 20);
+      this.jobIdTextBox.TabIndex = 26;
+      // 
       // tabControl
       // 
@@ -509,6 +430,4 @@
       this.tabControl.Controls.Add(this.detailsTabPage);
       this.tabControl.Controls.Add(this.stateLogTabPage);
-      this.tabControl.Controls.Add(this.runsTabPage);
-      this.tabControl.Controls.Add(this.logTabPage);
       this.tabControl.Location = new System.Drawing.Point(3, 3);
       this.tabControl.Name = "tabControl";
@@ -517,22 +436,4 @@
       this.tabControl.TabIndex = 25;
       // 
-      // splitContainer1
-      // 
-      this.splitContainer1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.splitContainer1.Location = new System.Drawing.Point(6, 164);
-      this.splitContainer1.Name = "splitContainer1";
-      // 
-      // splitContainer1.Panel1
-      // 
-      this.splitContainer1.Panel1.Controls.Add(this.configurationGroupBox);
-      // 
-      // splitContainer1.Panel2
-      // 
-      this.splitContainer1.Panel2.Controls.Add(this.jobStatusGroupBox);
-      this.splitContainer1.Size = new System.Drawing.Size(551, 155);
-      this.splitContainer1.SplitterDistance = 275;
-      this.splitContainer1.TabIndex = 33;
-      // 
       // HiveJobView
       // 
@@ -542,20 +443,18 @@
       this.Name = "HiveJobView";
       this.Size = new System.Drawing.Size(577, 407);
-      this.logTabPage.ResumeLayout(false);
       this.stateLogTabPage.ResumeLayout(false);
-      this.runsTabPage.ResumeLayout(false);
       this.detailsTabPage.ResumeLayout(false);
       this.detailsTabPage.PerformLayout();
-      this.optimizerGroupBox.ResumeLayout(false);
-      this.optimizerGroupBox.PerformLayout();
+      this.splitContainer1.Panel1.ResumeLayout(false);
+      this.splitContainer1.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).EndInit();
+      this.splitContainer1.ResumeLayout(false);
       this.configurationGroupBox.ResumeLayout(false);
       this.configurationGroupBox.PerformLayout();
       this.jobStatusGroupBox.ResumeLayout(false);
       this.jobStatusGroupBox.PerformLayout();
+      this.optimizerGroupBox.ResumeLayout(false);
+      this.optimizerGroupBox.PerformLayout();
       this.tabControl.ResumeLayout(false);
-      this.splitContainer1.Panel1.ResumeLayout(false);
-      this.splitContainer1.Panel2.ResumeLayout(false);
-      ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).EndInit();
-      this.splitContainer1.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -564,45 +463,38 @@
     #endregion
 
-    private System.Windows.Forms.TabPage logTabPage;
-    private Core.Views.LogView logView;
-    private System.Windows.Forms.TabPage stateLogTabPage;
-    private MainForm.WindowsForms.ViewHost stateLogViewHost;
-    private System.Windows.Forms.TabPage runsTabPage;
-    private MainForm.WindowsForms.ViewHost runCollectionViewHost;
-    private System.Windows.Forms.TabPage detailsTabPage;
-    private System.Windows.Forms.GroupBox optimizerGroupBox;
-    private Core.Views.NamedItemView optimizerNamedItemView;
-    private System.Windows.Forms.GroupBox configurationGroupBox;
-    private System.Windows.Forms.TextBox priorityTextBox;
-    private System.Windows.Forms.Label priorityLabel;
-    private System.Windows.Forms.TextBox coresNeededTextBox;
-    private System.Windows.Forms.TextBox memoryNeededTextBox;
-    private System.Windows.Forms.Label memoryNeededLabel;
-    private System.Windows.Forms.Label coresNeededLabel;
-    private System.Windows.Forms.Label computeInParallelLabel;
-    private System.Windows.Forms.CheckBox computeInParallelCheckBox;
-    private System.Windows.Forms.Label jobIdLabel;
-    private System.Windows.Forms.TextBox jobIdTextBox;
-    private System.Windows.Forms.GroupBox jobStatusGroupBox;
-    private System.Windows.Forms.TextBox stateTextBox;
-    private System.Windows.Forms.Label stateLabel;
-    private System.Windows.Forms.TextBox dateFinishedTextBox;
-    private System.Windows.Forms.TextBox executionTimeTextBox;
-    private System.Windows.Forms.Label executionTimeLabel;
-    private System.Windows.Forms.Label exceptionLabel;
-    private System.Windows.Forms.Label dateFinishedLabel;
-    private System.Windows.Forms.TextBox exceptionTextBox;
-    private System.Windows.Forms.TabControl tabControl;
-    private System.Windows.Forms.Button restartButton;
-    private System.Windows.Forms.Button pauseButton;
-    private System.Windows.Forms.Button stopButton;
-    private System.Windows.Forms.Button showOptimizerButton;
-    private System.Windows.Forms.TextBox lastUpdatedTextBox;
-    private System.Windows.Forms.Label lastUpdatedLabel;
-    private System.Windows.Forms.Label dateCalculatedLabel;
-    private System.Windows.Forms.TextBox dateCalculatedText;
-    private System.Windows.Forms.TextBox dateCreatedTextBox;
-    private System.Windows.Forms.Label dateCreatedLabel;
-    private System.Windows.Forms.SplitContainer splitContainer1;
+    protected System.Windows.Forms.TabPage stateLogTabPage;
+    protected MainForm.WindowsForms.ViewHost stateLogViewHost;
+    protected System.Windows.Forms.TabPage detailsTabPage;
+    protected System.Windows.Forms.GroupBox optimizerGroupBox;
+    protected Core.Views.ItemView optimizerItemView;
+    protected System.Windows.Forms.GroupBox configurationGroupBox;
+    protected System.Windows.Forms.TextBox priorityTextBox;
+    protected System.Windows.Forms.Label priorityLabel;
+    protected System.Windows.Forms.TextBox coresNeededTextBox;
+    protected System.Windows.Forms.TextBox memoryNeededTextBox;
+    protected System.Windows.Forms.Label memoryNeededLabel;
+    protected System.Windows.Forms.Label coresNeededLabel;
+    protected System.Windows.Forms.Label computeInParallelLabel;
+    protected System.Windows.Forms.CheckBox computeInParallelCheckBox;
+    protected System.Windows.Forms.Label jobIdLabel;
+    protected System.Windows.Forms.TextBox jobIdTextBox;
+    protected System.Windows.Forms.GroupBox jobStatusGroupBox;
+    protected System.Windows.Forms.TextBox stateTextBox;
+    protected System.Windows.Forms.Label stateLabel;
+    protected System.Windows.Forms.TextBox dateFinishedTextBox;
+    protected System.Windows.Forms.TextBox executionTimeTextBox;
+    protected System.Windows.Forms.Label executionTimeLabel;
+    protected System.Windows.Forms.Label exceptionLabel;
+    protected System.Windows.Forms.Label dateFinishedLabel;
+    protected System.Windows.Forms.TextBox exceptionTextBox;
+    protected System.Windows.Forms.TabControl tabControl;
+    protected System.Windows.Forms.Button modifyItemButton;
+    protected System.Windows.Forms.TextBox lastUpdatedTextBox;
+    protected System.Windows.Forms.Label lastUpdatedLabel;
+    protected System.Windows.Forms.Label dateCalculatedLabel;
+    protected System.Windows.Forms.TextBox dateCalculatedText;
+    protected System.Windows.Forms.TextBox dateCreatedTextBox;
+    protected System.Windows.Forms.Label dateCreatedLabel;
+    protected System.Windows.Forms.SplitContainer splitContainer1;
 
   }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/OptimizerHiveJobView.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/OptimizerHiveJobView.cs	(revision 6033)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Views/3.4/ExperimentManager/OptimizerHiveJobView.cs	(revision 6033)
@@ -0,0 +1,76 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Windows.Forms;
+using HeuristicLab.Clients.Hive.ExperimentManager;
+using HeuristicLab.MainForm;
+
+namespace HeuristicLab.Clients.Hive.Views {
+  [View("HiveJob View")]
+  [Content(typeof(OptimizerHiveJob), true)]
+  public partial class OptimizerHiveJobView : HiveJobView {
+    public new OptimizerHiveJob Content {
+      get { return (OptimizerHiveJob)base.Content; }
+      set {
+        if (base.Content != value) {
+          base.Content = value;
+        }
+      }
+    }
+
+    public OptimizerHiveJobView() {
+      InitializeComponent();
+    }
+
+    protected override void Job_ItemChanged(object sender, EventArgs e) {
+      if (Content != null && Content.Job != null && Content.JobItem.Item != null) {
+        runCollectionViewHost.Content = Content.JobItem.Item.Runs;
+      } else {
+        runCollectionViewHost.Content = null;
+      }
+    }
+    #region Content Events
+
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+
+      this.restartButton.Enabled = Content != null && Content.Job.State == JobState.Paused;
+      this.pauseButton.Enabled = Content != null && Content.Job.State == JobState.Calculating;
+      this.stopButton.Enabled = Content != null && (Content.Job.State == JobState.Calculating || Content.Job.State == JobState.Waiting || Content.Job.State == JobState.Paused);
+    }
+    #endregion
+
+    #region Child Control Events
+    private void restartButton_Click(object sender, EventArgs e) {
+      Content.Restart();
+    }
+
+    private void pauseButton_Click(object sender, EventArgs e) {
+      Content.Pause();
+    }
+
+    private void stopButton_Click(object sender, EventArgs e) {
+      Content.Stop();
+    }
+    #endregion
+  }
+}
